Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions
WaitObjectContainer Class Reference

container of wait objects More...

`#include <wait.h>`

Inheritance diagram for WaitObjectContainer:

List of all members.

## Classes

class | Err
| exception thrown by WaitObjectContainer More...

## Public Member Functions

| WaitObjectContainer (WaitObjectsTracer *tracer=0)
void | Clear ()
void | SetNoWait (CallStack const &callStack)
void | ScheduleEvent (double milliseconds, CallStack const &callStack)
bool | Wait (unsigned long milliseconds)
void | AddHandle (HANDLE handle, CallStack const &callStack)

## Static Public Member Functions

static unsigned int | MaxWaitObjects ()

## Detailed Description

container of wait objects

Definition at line 146 of file wait.h.

The documentation for this class was generated from the following file:

- wait.h